/**
 * @file
 * Initializes the Virtual Select element.
 */
(function ($, Drupal, once) {
  'use strict';
  Drupal.behaviors.virtualSelect = {
    attach(context, settings) {
      $(once('virtualSelect', '.virtual-select', context)).each(function (i, element) {
        const { id } = element;
        const elementId = `#${id}`;

        $(elementId).change(function () {
          // Set input on hidden select field.
          $(`.form-select[data-virtual-select="${id}"]`).val(this.value);
        });

        VirtualSelect.init({
          ele: elementId,
          options: settings[id]['options'],
          search: settings[id]['search'],
          multiple: settings[id]['multiple'],
          showValueAsTags: settings[id]['show_value_as_tags'],
          showSelectedOptionsFirst: settings[id]['show_selected_options_first'],
          selectedValue: settings[id]['selected'],
          placeholder: settings[id]['placeholder'],
          searchPlaceholderText: settings[id]['search_placeholder'],
          noOptionsText: settings[id]['no_options_text'],
        });
      });
    },
  };
})(jQuery, Drupal, once);
